Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoice items

List Dashdoc invoice items

get
/dashdoc-invoice-items/

List the authenticated company's Dashdoc invoice item catalogue. Requires Dashdoc Invoicing enabled for the company and TMS read access.

Enabled and disabled items are returned by default. Results are ordered by description, ignoring case.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
enabledbooleanOptional

Filter by enabled status. Omit this parameter to include both enabled and disabled items.

pageinteger · min: 1Optional

Page number within the paginated result set.

Default: 1
page_sizeinteger · min: 1Optional

Number of items per page.

Default: 20
Responses
200

Paginated Dashdoc invoice items.

application/json
countintegerRequired

Total number of items matching the filters.

Example: 1
nextstring · uri · nullableRequired

URL of the next page, or null on the last page.

previousstring · uri · nullableRequired

URL of the previous page, or null on the first page.

get/dashdoc-invoice-items/
GET /api/v4/dashdoc-invoice-items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "uid": "a5438c2d-39ef-42d6-8af5-b549fa7a3510",
      "description": "Transport",
      "line_description": "Transport service",
      "account_code": "706000",
      "enabled": true,
      "tax_code": {
        "dashdoc_id": "FR_200",
        "tax_rate": "20.00",
        "tax_type": "VAT"
      }
    }
  ]
}

Beta: List third-party invoice items

get
/invoices/items/

List invoice items from external invoicing connectors for companies that do not use Dashdoc Invoicing. For the Dashdoc Invoicing catalogue, use GET /dashdoc-invoice-items/.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/invoices/items/
GET /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
      "remote_id": "ITEM_123",
      "description": "Gas transportation"
    }
  ]
}

Beta: Create an invoice item

post
/invoices/items/
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
Responses
201

Create successful

application/json
uidstring · uuidOptionalExample: 687cddac-dbd2-11ea-9024-0242ac130006
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
post/invoices/items/
POST /api/v4/invoices/items/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}
201

Create successful

{
  "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}

Delete an invoice intem

delete
/invoices/items/{uid_or_remote_id}/
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uid_or_remote_idany ofRequired

Dashdoc uid or your remote_id. With a remote_id, you must add lookup_field=remote_id to the query parameters.

Example: {"summary":"Dashdoc uid","value":"2b4c3e6c-35b5-4f3c-9d4f-5d5c8f0e8a11"}
string · uuidOptional
or
stringOptional
Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
204

Empty body

No content

delete/invoices/items/{uid_or_remote_id}/
DELETE /api/v4/invoices/items/{uid_or_remote_id}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
204

Empty body

No content

Beta: Partially update an invoice item

patch
/invoices/items/{uid_or_remote_id}/
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uid_or_remote_idany ofRequired

Dashdoc uid or your remote_id. With a remote_id, you must add lookup_field=remote_id to the query parameters.

Example: {"summary":"Dashdoc uid","value":"2b4c3e6c-35b5-4f3c-9d4f-5d5c8f0e8a11"}
string · uuidOptional
or
stringOptional
Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
Responses
200

Update successful

application/json
uidstring · uuidOptionalExample: 687cddac-dbd2-11ea-9024-0242ac130006
remote_idstringOptional

The id of the invoice item in your system

Example: ITEM_123
descriptionstringOptional

Default description when a user selects this invoice item for an invoice line

Example: Gas transportation
patch/invoices/items/{uid_or_remote_id}/
PATCH /api/v4/invoices/items/{uid_or_remote_id}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}
200

Update successful

{
  "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
  "remote_id": "ITEM_123",
  "description": "Gas transportation"
}

Last updated

Was this helpful?